Summary: 	Apache authentication via Radius
Name: 		apache1-mod_auth_radius
Version: 	1.5.7
Release: 	%mkrel 1
Group: 		System/Servers
License: 	Apache License
URL:		http://www.freeradius.org
Source0: 	ftp://ftp.freeradius.org/pub/radius/mod_auth_radius-%{version}.tar.bz2
Patch0:		apache1-mod_auth_radius-1.5.7-CAN2005-0108.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	apache1 = 1.3.34
Requires:	apache1-base >= 1.3.34
BuildRequires:	apache1-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
With mod_auth_radius you are able to authenticate in Apache using Radius.

%prep

%setup -q -n mod_auth_radius-%{version}
%patch0 -p0 -b .CAN2005-0108

%build
%{_sbindir}/apache1-apxs -o mod_auth_radius.so -c  mod_auth_radius.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 mod_auth_radius.so %{buildroot}%{_libdir}/apache1/

cat > %{buildroot}%{_sysconfdir}/apache1/modules.d/16_mod_auth_radius.conf << EOF
Loadmodule radius_auth_module	modules/mod_auth_radius.so
EOF

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README htaccess httpd.conf index.html
%config(noreplace) %{_sysconfdir}/apache1/modules.d/16_mod_auth_radius.conf
%{_libdir}/apache1/mod_auth_radius.so

%changelog
* Thu Jan 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.7-1mdk
- fix versioning, deps and one security hole (CAN2005-0108)

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.5.7-1mdk
- renamed to apache1-mod_auth_radius and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.7-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.7-2mdk
- built for apache 1.3.33

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.7-1mdk
- 1.5.7
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.5.2-13mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-12mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-11mdk
- new macros from ADVX-build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-10mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-9mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.2-8mdk
- Rebuild with new apache

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-7mdk
- rebuild against new apache.

* Sun May 19 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-6mdk
- build with gcc 3.1.
- add %%post and %%postun sections.
- macroize a little more.
- add BuildRequires.
- quiet the setup.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-5mdk
- Apache 1.3.24.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.2-4mdk
- Rebuild against new apache.

* Fri Jul 13 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.2-3mdk
- recompiled for apache 1.3.20

* Tue Apr 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-2mdk
- recompiled for apache 1.3.19

* Sat Dec 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-1mdk
- first release

* Fri Oct 20 2000 Magic Bumper <dist@conectiva.com.br>
- Automatically increased release

* Wed Aug 11 1999 Marcelo Tosatti <marcelo@conectiva.com>
- First package
- Added to Conectiva Linux
